#include <iostream>

using namespace std;


int main()
{
    int brojKomsija, x, komsije[brojKomsija], minimum, maximum;
    cin >> brojKomsija >> x;
    for(int i = 0; i < brojKomsija; i++){
        cin >> komsije[i];
    }
    minimum = maximum = komsije[0];
    for(int i = 0; i < brojKomsija; i++){
        if(komsije[i] < minimum){
            minimum = komsije[i];
        }
        else if (komsije[i] > maximum){
            maximum = komsije[i];
        }
    }
    
    if(minimum > x){
        cout << maximum - x;
    }
    else if (maximum < x){
        cout << x - minimum;
    }
    else{
        cout << maximum - minimum;
    }
    return 0;
}
v